#!/usr/bin/perl -w  # -*- cperl -*- #
#
#  exit.pm - Allow clients to disconnect.
#
#  Steve Kemp
#  ---
#  http://www.steve.org.uk/
#
#


#
#  The package this module is implementing.
#
package Xen::Monitor::Plugins::exit;


#
#  Register the plugin.
#
Xen::Monitor::Server::register_plugin("Xen::Monitor::Plugins::exit");



#
#  Minimal constructor.
#
sub new { return bless {}; }



#
#  Return the author of this plugin.
#
sub getAuthor
{
    return( 'Steve Kemp <steve@steve.org.uk>' );
}


#
#  Does this plugin require authentication?
#
sub needsAuth
{
    return 0;
}

#
#  Return the commands we handle.
#
sub getCommand
{
    my %commands;
    $commands{"exit"} = 1;
    $commands{"quit"} = 1;
    return( %commands );
}


#
# Run the command we're sent - this means 'pause' or 'unpause'.
#
sub runCommand
{
    my ( $class, $server, $command, @args ) = ( @_ );

    print "200 OK\r\n";
    print "300 DONE\r\n";
    exit(0 );
}


1;
